Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.spi.core.protocol
Interface SessionCallback

    public interface SessionCallback

A SessionCallback

Author:
  Tim Fox

Method Summary
`void` | `addReadyListener(ReadyListener listener)`
`void` | `closed()`
`void` | `removeReadyListener(ReadyListener listener)`
`int` | `sendLargeMessage(org.hornetq.core.server.ServerMessage message, long consumerID, long bodySize, int deliveryCount)`
`int` | `sendLargeMessageContinuation(long consumerID, byte[] body, boolean continues, boolean requiresResponse)`
`int` | `sendMessage(org.hornetq.core.server.ServerMessage message, long consumerID, int deliveryCount)`
`void` | `sendProducerCreditsMessage(int credits, SimpleString address)`

Method Detail

### sendProducerCreditsMessage

    void sendProducerCreditsMessage(int credits,
                                    SimpleString address)

### sendMessage

    int sendMessage(org.hornetq.core.server.ServerMessage message,
                    long consumerID,
                    int deliveryCount)

### sendLargeMessage

    int sendLargeMessage(org.hornetq.core.server.ServerMessage message,
                         long consumerID,
                         long bodySize,
                         int deliveryCount)

### sendLargeMessageContinuation

    int sendLargeMessageContinuation(long consumerID,
                                     byte[] body,
                                     boolean continues,
                                     boolean requiresResponse)

### closed

    void closed()

### addReadyListener

    void addReadyListener(ReadyListener listener)

### removeReadyListener

    void removeReadyListener(ReadyListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.